## org.eclipse.datatools.modelbase.sql.constraints
Interface Assertion

All Superinterfaces:
  Constraint, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

    public interface Assertion

extends Constraint

A representation of the model object 'Assertion'. Reference: 5WD-02-Foundation-2002-12 4.17.4 Assertions, 5WD-02-Foundation-2002-12 11.37 <assertion definition>

The following features are supported:

- `Search Condition`
- `Schema`
- `Constrained Tables`

See Also:
  `SQLConstraintsPackage.getAssertion()`

Method Summary
`org.eclipse.emf.common.util.EList` `getConstrainedTables()` Returns the value of the 'Constrained Tables' reference list.
`Schema` `getSchema()` Returns the value of the 'Schema' reference.
`SearchCondition` `getSearchCondition()` Returns the value of the 'Search Condition' containment reference.
`void` `setSchema(Schema value)` Sets the value of the '`Schema`' reference.
`void` `setSearchCondition(SearchCondition value)` Sets the value of the '`Search Condition`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSearchCondition

    SearchCondition getSearchCondition()

  Returns the value of the 'Search Condition' containment reference.

  If the meaning of the 'Search Condition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Search Condition' containment reference.
  See Also:
    `setSearchCondition(SearchCondition)`, `SQLConstraintsPackage.getAssertion_SearchCondition()`

### setSearchCondition

    void setSearchCondition(SearchCondition value)

  Sets the value of the '`Search Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Search Condition' containment reference.
  See Also:
    `getSearchCondition()`

### getSchema

    Schema getSchema()

  Returns the value of the 'Schema' reference. It is bidirectional and its opposite is '`Assertions`'.

  If the meaning of the 'Schema' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schema' reference.
  See Also:
    `setSchema(Schema)`, `SQLConstraintsPackage.getAssertion_Schema()`, `Schema.getAssertions()`

### setSchema

    void setSchema(Schema value)

  Sets the value of the '`Schema`' reference.

  Parameters:
    `value` - the new value of the 'Schema' reference.
  See Also:
    `getSchema()`

### getConstrainedTables

    org.eclipse.emf.common.util.EList getConstrainedTables()

  Returns the value of the 'Constrained Tables' reference list. The list contents are of type `BaseTable`.

  If the meaning of the 'Constrained Tables' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Constrained Tables' reference list.
  See Also:
    `SQLConstraintsPackage.getAssertion_ConstrainedTables()`